\name{estimate_g}
\Rdversion{1.0}
\alias{estimate_g}
\title{Estimate Treatment or Missingness Mechanism}
\description{
An internal function called by the \code{tmle} function to obtain an estimate of conditional treatment assignment probabiliites \eqn{P(A=1|W)}, and conditional probabilites for missingness, \eqn{P(Delta=1|A,W)}.  The estimate can be  based on user-supplied values, a user-supplied regression formula, or a data-adaptive super learner fit.  If the \code{SuperLearner} package is not available, and there are no user-specifications, estimation is carried out using main terms regression with \code{glm}.  These main terms-based estimates may yield poor results.
}
\usage{
estimate_g(d, g1W, gform, SL.library, id, verbose, message)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{d}{dataframe with binary dependent variable in the first column, predictors in remaining columns (baseline covariates, or baseline covariates + \code{A} when estimating missingness mechanism.}
  \item{g1W}{vector of values for \eqn{P(A=1|W)} or \eqn{P(Delta=1|A,W)}}
  \item{gform}{regression formula of the form \code{A~W1}, if specified this overrides the call to \code{SuperLearner}}
  \item{SL.library}{vector of prediction algorithms used by \code{SuperLearner}, default value is (\sQuote{SL.glm}, \sQuote{SL.step}, \sQuote{SL.knn}, \sQuote{SL.DSA.2})}
  \item{id}{subject identifier}
  \item{verbose}{status messages printed if set to TRUE}
  \item{message}{text specifies whether treatment or missingness mechanism is being estimated}
}
\value{
 \item{g1W}{a vector containing values for \eqn{P(A=1|W)} (or \eqn{P(Delta=1|A,W))}}
  \item{coef}{coefficients for each term in the working model used for estimation if \code{glm} was used}
  \item{type}{estimation procedure}
}
\author{
Susan Gruber}
\seealso{
\code{\link{tmle}},
\code{\link{estimate_Q}},
\code{\link{calc_parameters}},
\code{\link[DSA]{DSA}},
\code{\link[SuperLearner]{SuperLearner}}
}

